高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
AMapNaviTrafficEventItem Class Reference

交通事件信息 Traffic incident information since 10.0.920 More...

`#include <AMapNaviCommonObj.h>`

Inheritance diagram for AMapNaviTrafficEventItem:

## Properties
AMapNaviTrafficEventType | type
| 事件类型 Event Type
CLLocationCoordinate2D | coord
| 事件的位置点（经纬度） Event location point (latitude and longitude)
NSInteger | startSegmentIndex
| 开始link的segment索引 Start link segment index
NSInteger | startLinkIndex
| 开始link的link索引 Start link index of link
NSInteger | endSegmentIndex
| 结束link的segment索引 End the segment index of the link
NSInteger | endLinkIndex
| 结束link的link索引 End the link index of the link
NSInteger | label
| 事件简要描述信息 Brief description of the event
NSString * | labelDesc
| 事件来源描述信息 Event source description information

## Detailed Description

交通事件信息 Traffic incident information since 10.0.920

## Property Documentation

## ◆ coord

- (CLLocationCoordinate2D) coord
| read write nonatomic assign

事件的位置点（经纬度） Event location point (latitude and longitude)

## ◆ endLinkIndex

- (NSInteger) endLinkIndex
| read write nonatomic assign

结束link的link索引 End the link index of the link

## ◆ endSegmentIndex

- (NSInteger) endSegmentIndex
| read write nonatomic assign

结束link的segment索引 End the segment index of the link

## ◆ label

- (NSInteger) label
| read write nonatomic assign

事件简要描述信息 Brief description of the event

## ◆ labelDesc

- (NSString*) labelDesc
| read write nonatomic copy

事件来源描述信息 Event source description information

## ◆ startLinkIndex

- (NSInteger) startLinkIndex
| read write nonatomic assign

开始link的link索引 Start link index of link

## ◆ startSegmentIndex

- (NSInteger) startSegmentIndex
| read write nonatomic assign

开始link的segment索引 Start link segment index

## ◆ type

- (AMapNaviTrafficEventType) type
| read write nonatomic assign

事件类型 Event Type

The documentation for this class was generated from the following file:

- AMapNaviCommonObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。